<div class="row">
    <div class="col-md-12">

        <div id="cursos">

            <?php

            if (count($cursos) > 0) {

                echo '<pre>' . count($cursos) . ' resultado(s) encontrado(s).</pre>';
	echo '<div class="blank_10"></div>';
                foreach ($cursos as $c) {
                    $url_imagem = '';
		$url = base_url() . 'seleciona_curso_troca/' . codifica($c->id_curso . '|' . $this->input->post('hid'));
		if (is_string($c->imagem) && $c->imagem !== "")
		{
			//$url_imagem = ROOT_URL . 'imgs/cursos/' . $c->imagem;

			if (strpos($c->imagem, 'http') === FALSE)
			{
				$c->imagem = ROOT_URL . 'imgs/cursos/' . $c->imagem;
			} {
				stream_context_set_default(
					[
						'http' => [
							'method' => 'HEAD'
						]
					]
				);
				$headers = get_headers($c->imagem, 1);

				if ($headers === FALSE)
				{
					$url_imagem = ROOT_URL . 'imgs/sem-foto.png';
				}
				else
				{
					//echo json_encode($headers);
					if (
						strpos($headers[0], '200 OK') !== FALSE && strpos($headers['Content-Type'],
														'image/') !== FALSE
					)
					{
						$url_imagem = $c->imagem;
					}
					else
					{
						$url_imagem = ROOT_URL . 'imgs/sem-foto.png';
					}
				}
			}
		} else {
                        $url_imagem = ROOT_URL . 'imgs/sem-foto.png';
		}

                    echo ' <div class="row" style="background-color: ">
                <div class="col-lg-2" style="background-color: ">
                    
                        <a href="'.$url.'" onclick="return confirm(\'Confirmar ação?\');">
                                        <img class="media-object img-media" src="' . $url_imagem . '" alt="' . $c->nome . '">
                                    </a>
                   

                </div>
                <div class="col-lg-9" style="background-color: ">
                  
                      <a href="'.$url.'" onclick="return confirm(\'Confirmar ação?\');">
                                         '. '<h4 class="media-heading">CURSO ' . $c->nome . '</h4>
                                    </a>
                                    
                                    <a href="'.$url.'" onclick="return confirm(\'Confirmar ação?\');" class="btn btn-success mais-carga-horaria">
                                        Selecionar este cursos
                                    </a>
                 

                </div>
    </div>';
                    echo '<div class="blank_20"></div> <br><br><br>';
                  
                }
            } else {
                echo "<pre>Nenhum curso foi encontrado.</pre>";
            }
            ?>
  
        </div>

    </div>
</div>
</div>

</div>

